Bug 1727736 (CVE-2019-13281) - CVE-2019-13281 xpdf: heap-based buffer overflow in DCTStream::decodeImage() in Stream.cc
Summary: CVE-2019-13281 xpdf: heap-based buffer overflow in DCTStream::decodeImage() i...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-13281
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1727738 1727737
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-08 05:11 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:08:25 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-08 05:11:55 UTC
In Xpdf 4.01.01, a heap-based buffer overflow could be triggered in DCTStream::decodeImage() in Stream.cc when writing to frameBuf memory. It can, for example, be triggered by sending a crafted PDF document to the pdftotext tool. It allows an attacker to use a crafted pdf file to cause Denial of Service, an information leak, or possibly unspecified other impact.

Reference:
https://forum.xpdfreader.com/viewtopic.php?f=3&t=41841

Comment 1 Dhananjay Arunesh 2019-07-08 05:12:12 UTC
Created xpdf tracking bugs for this issue:

Affects: epel-all [bug 1727738]
Affects: fedora-all [bug 1727737]

Comment 2 Product Security DevOps Team 2019-07-12 13:08:25 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.